import { axios } from '@/utils/request'

// 货架 列表  分页
export const shelfList = (params) => {
  const url = `/shelf/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('货架列表查询')
    }
  })
}
//  货架  详情
export const shelfDetail = (params) => {
  return axios({
    url: `/shelf/queryBySn/${params.sn}`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('货架详情')
    }
  })
}
// 货架产品导出
export const shelfProductExport = params => {
  return axios({
    url: '/shelfProduct/export',
    data: params,
    method: 'post',
    responseType: 'blob',
    headers:{
      'module': encodeURIComponent('导出')
    }
  })
}
// 货架启用停用
export const shelfModifState = (params) => {
  return axios({
    url: `/shelf/modifState`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent(params.state=="WRITE_OFF"?'注销':'启用停用')
    }
  })
}
// 查询客户关联的货架
export const queryByCustomerSn = (params) => {
  return axios({
    url: `/shelf/queryByCustomerSn/${params.sn}`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('客户关联的货架')
    }
  })
}
//待补货产品列表
export const queryListForReplenish = (params) => {
  return axios({
    url: `/shelf/queryListForReplenish`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('待补货产品列表')
    }
  })
}
// 补货产品明细
export const queryProductListForReplenish = (params) => {
  return axios({
    url: `/shelf/queryProductListForReplenish `,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('补货产品明细')
    }
  })
}
//  货架  保存
export const shelfSave = (params) => {
  return axios({
    url: `/shelf/save`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('编辑货架基础信息')
    }
  })
}
//  货架  货位产品 列表 不分页
export const shelfProductList = (params) => {
  return axios({
    url: `/shelf/placeProduct/queryList`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('货位产品列表')
    }
  })
}
//  货架  货位产品 详情
export const shelfProductDetail = (params) => {
  return axios({
    url: `/shelf/placeProduct/queryByPlaceSn/${params.shelfPlaceSn}`,
    data: params,
    method: 'get',
    headers:{
      'module': encodeURIComponent('货位产品详情')
    }
  })
}
//  货架  货位产品 保存
export const shelfProductSave = (params) => {
  return axios({
    url: `/shelf/placeProduct/save`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent(params.updateProductFlag ? '更换产品' : '绑定产品')
    }
  })
}
// 禁用货架产品 
export const shelfProductEnable = (params) => {
  return axios({
    url: `/shelfProduct/updateEnableFlag`,
    data: params,
    method: 'post', 
    headers:{
      'module': encodeURIComponent(params.enableFlag==1?'启用':'禁用')
    }
  })
}
// 获取价格显示
export const getShelfPriceShow = (params) => {
  return axios({
    url: `/shelf/queryShelfPriceShowParam/${params.shelfSn}`,
    method: 'get',
    headers:{
      'module': encodeURIComponent('获取价格显示设置')
    }
  })
}
// 更新价格显示
export const updateShelfPriceShow = (params) => {
  return axios({
    url: `/shelf/updateShelfPriceShowParam/${params.shelfSn}`,
    data: params.paramValue,
    method: 'post',
    headers:{
      'module': encodeURIComponent('更新价格显示设置')
    }
  })
}
// 货架  货位产品 下载模板
export const shelfProductDownload = params => {
  return axios.request({
    url: `/shelf/placeProduct/downloadExcel/${params.shelfSn}`,
    method: 'post',
    responseType: 'blob'
  })
}
// 货架  货位产品  解析导入的文件
export const shelfProductParseProducts = params => {
  return axios({
    url: '/shelf/placeProduct/readExcel',
    data: params,
    method: 'post'
  })
}
// POST 解析货位的导入模板
export const shelfPlaceReadExcel = params => {
  return axios({
    url: '/shelf/place/readExcel',
    data: params,
    method: 'post',
  })
}
// POST 导出错误项
export const shelfPlaceFailExcel = params => {
  return axios({
    url: '/shelf/place/downloadFailExcel',
    data: params,
    method: 'post',
    responseType: 'blob',
    headers:{
      'module': encodeURIComponent('导出错误项')
    }
  })
}
// 货架  货位产品  批量插入
export const shelfProductBatchInsert = params => {
  return axios({
    url: '/shelf/placeProduct/saveBatchExcel',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('导入货位产品')
    }
  })
}
// 批量保存货位
export const shelfSaveBatchExcel = params => {
  return axios({
    url: '/shelf/place/saveBatchExcel',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('批量导入货位')
    }
  })
}
// 货架 箭冠产品  分页
export const shelfDealerProductList = (params) => {
  const url = `/product/queryPageForXPRH/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('货架产品（箭冠产品）列表查询')
    }
  })
}
//  货架监控 列表 不分页
export const shelfControlList = (params) => {
  return axios({
    url: `/shelf/control/queryList`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('可调回产品列表')
    }
  })
}
// 货架监控 出入库明细  分页
export const shelfPutOutDetailList = (params) => {
  const url = `/shelf/placeProduct/queryStockPutOutDetailPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('出入库明细列表')
    }
  })
}
// 货架监控 导出
export const exportShelfControlReport = (params) => {
  return axios({
    url: `/shelf/control/export`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers:{
      'module': encodeURIComponent('导出')
    }
  })
}

// 修改完成标识
export const modifFinishFlag = (params) => {
  return axios({
    url: `/shelf/modifFinishFlag`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('是否设置完成')
    }
  })
}

// 新增货位
export const addPlaceAndProduct = (params) => {
  return axios({
    url: `/shelf/placeAndProduct/save`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent(params.id?'编辑货位':'新增货位')
    }
  })
}
// 删除货位
export const delShelfPlaceSn = (params) => {
  return axios({
    url: `/shelf/place/deleteBySn/${params.shelfPlaceSn}`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('删除货位')
    }
  })
}

// 货架订单-分页列表
export const orderBillQueryPage = (params) => {
  const url = `/orderBill/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('列表查询')
    }
  })
}

// 货架订单明细-合计
export const orderBillDetailCount = (params) => {
  return axios({
    url: `/orderBill/queryDetailCount`,
    data: params,
    method: 'post'
  })
}

// 货架订单-合计
export const orderBillQueryCount = (params) => {
  return axios({
    url: `/orderBill/queryCount`,
    data: params,
    method: 'post'
  })
}

// 客户分析-分页列表
export const queryShelfOrderReportPage = (params) => {
  const url = `/shelfOrderReport/queryShelfOrderReportPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('列表查询')
    }
  })
}

// 客户分析-统计
export const queryShelfOrderTotalReport = (params) => {
  return axios({
    url: `/shelfOrderReport/queryShelfOrderTotalReport`,
    data: params,
    method: 'post'
  })
}

// 客户分析-导出

export const exportShelfOrderReport = (params) => {
  return axios({
    url: `/shelfOrderReport/exportShelfOrderReport`,
    data: params,
    method: 'post',
    responseType: 'blob',
    headers:{
      'module': encodeURIComponent('导出')
    }
  })
}
