import { axios } from '@/utils/request'

// 货架列表
export const queryListForSettle = (params) => {
  return axios({
    url: '/shelf/queryListForSettle',
    method: 'get',
    headers:{
      'module': encodeURIComponent('货架列表')
    }
  })
}
// 生成补货单 （废弃）
export const shelfTaskInsertBill = (params) => {
  return axios({
    url: '/shelfReplenish/taskInsertBill',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('生成补货单')
    }
  })
}
//  补货单列表  有分页
export const shelfReplenishList = (params) => {
  const url = `/shelfReplenish/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('列表查询')
    }
  })
}
//  补货单 明细列表 不分页
export const shelfReplenishDetailList = (params) => {
  return axios({
    url: '/shelfReplenish/detail/queryList',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('明细列表')
    }
  })
}
// 保存补货单和明细
export const saveMainAndDetail = (params) => {
  return axios({
    url: '/shelfReplenish/saveMainAndDetail',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('创建补货单')
    }
  })
}
// 出库单详情列表
export const queryListForOutStock = (params) => {
  return axios({
    url: '/shelfReplenish/detail/queryListForOutStock',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('出库单明细列表')
    }
  })
}
// 查询关联的销售单
export const queryRelationSalesBill = (params) => {
  return axios({
    url: `/shelfReplenish/queryRelationSalesBill/${params.replenishBillSn}`,
    method: 'get',
    headers:{
      'module': encodeURIComponent('查询关联的销售单')
    }
  })
}
// 生成销售单
export const createSalesBill = (params) => {
  return axios({
    url: `/shelfReplenish/createSalesBill/${params.replenishBillSn}`,
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('生成销售单')
    }
  })
}
//  补货单 取消补货单
export const shelfReplenishCancel = (params) => {
  return axios({
    url: '/shelfReplenish/cancel',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('取消补货单')
    }
  })
}
// 删除补货单
export const shelfReplenishDelete = (params) => {
  return axios({
    url: `/shelfReplenish/delete/${params.replenishBillSn}`,
    method: 'get',
    headers:{
      'module': encodeURIComponent('删除')
    }
  })
}
//  补货单 查询每个状态的数据条数
export const shelfReplenishStateCount = (params) => {
  return axios({
    url: '/shelfReplenish/queryStateCount',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('待补货数量')
    }
  })
}
//  补货单 确认补货
export const shelfReplenishConfirm = (params) => {
  return axios({
    url: '/shelfReplenish/confirm',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('确认补货')
    }
  })
}
//  补货单 检查补货单库存数量
export const shelfReplenishDetailStock = (params) => {
  return axios({
    url: '/shelfReplenish/detail/checkDetailStockQty',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('补货单库存数量')
    }
  })
}
//  补货单  详情
export const shelfReplenishDetail = (params) => {
  const url = `/shelfReplenish/findBySn/${params.sn}`
  delete params.sn
  return axios({
    url: url,
    data: params,
    method: 'get',
    headers:{
      'module': encodeURIComponent('补货单详情')
    }
  })
}
//  补货单 入库
export const shelfReplenishPutStock = (params) => {
  return axios({
    url: '/shelfReplenish/putStock',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('签收入库')
    }
  })
}
//  补货单 出库
export const shelfReplenishOutStock = (params) => {
  return axios({
    url: '/shelfReplenish/outStock',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('出库')
    }
  })
}
//  补货单 打印贴签
export const shelfReplenishPrintSign = (params) => {
  return axios({
    url: '/shelfReplenish/detail/printSign',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('打印贴签')
    }
  })
}

// 定时任务，废弃
export const shelfReplenishTaskInsertBill = (params) => {
  return axios({
    url: '/shelfReplenish/taskInsertBill',
    data: params,
    method: 'post'
  })
}

// 待补货产品 
export const queryWaitReplenish = (params) => {
  return axios({
    url: '/shelfProduct/queryWaitReplenish',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('待补货产品列表')
    }
  })
}
// 货架产品
export const queryShelfProduct = (params) => {
  return axios({
    url: '/shelfProduct/queryShelfProduct',
    data: params,
    method: 'post',
    headers:{
      'module': encodeURIComponent('全部货架产品列表')
    }
  })
}