import { axios } from '@/utils/request'

//  店内调出 列表  分页
export const storeCallOutList = (params) => {
  const url = `/storeCallOut/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('列表查询')
    }
  })
}
// 店内调出  统计
export const storeCallOutQueryCount = (params) => {
  return axios({
    url: `/storeCallOut/queryCount`,
    data: params,
    method: 'post'
  })
}
//  店内调出 新增
export const storeCallOutSave = (params) => {
  return axios({
    url: '/storeCallOut/save',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('新增')
    }
  })
}
//  店内调出 审核
export const storeCallOutAudit = (params) => {
  return axios({
    url: '/storeCallOut/audit',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('审核')
    }
  })
}
//  店内调出 出库
export const storeCallOutOut = (params) => {
  return axios({
    url: '/storeCallOut/out',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('出库')
    }
  })
}
//  店内调出 删除
export const storeCallOutDel = (params) => {
  return axios({
    url: `/storeCallOut/delete/${params.id}`,
    method: 'get',
    headers: {
      'module': encodeURIComponent('删除')
    }
  })
}
//  店内调出 详情
export const storeCallOutDetail = (params) => {
  return axios({
    url: `/storeCallOut/findById/${params.id}`,
    method: 'get',
    headers: {
      'module': encodeURIComponent('详情信息')
    }
  })
}
//  店内调出 详情  根据sn查
export const storeCallOutDetailSn = (params) => {
  return axios({
    url: `/storeCallOut/findBySn/${params.sn}`,
    method: 'get',
    headers: {
      'module': encodeURIComponent('详情信息')
    }
  })
}
//  店内调出  提交
export const storeCallOutSubmit = (params) => {
  return axios({
    url: '/storeCallOut/submit',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('提交')
    }
  })
}
//  店内调出详情 列表  分页
export const storeCallOutDetailList = (params) => {
  const url = `/storeCallOut/detail/queryPage/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios({
    url: url,
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('明细列表查询')
    }
  })
}
//  店内调出详情 合计
export const storeCallOutDetailCount = (params) => {
  return axios({
    url: '/storeCallOut/detail/queryCount',
    data: params,
    method: 'post'
  })
}
//  店内调出详情 保存
export const storeCallOutDetailSave = (params) => {
  return axios({
    url: '/storeCallOut/detail/save',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent(params.id?'修改调出数量':'添加')
    }
  })
}
//  店内调出详情 删除
export const storeCallOutDetailDel = (params) => {
  return axios({
    url: '/storeCallOut/detail/delete',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('删除')
    }
  })
}
// 店内调出 详情  打印
export const storeCallOutDetailPrint = params => {
  const data = {
    url: `storeCallOut/print/${params.sn}/${params.type}/${params.costFlag}`,
    method: 'get',
    headers: {
      'module': encodeURIComponent(params.type == 'INK' ? '喷墨打印':'针式打印')
    }
  }
  // 喷墨打印
  if (params.type == 'INK') {
    data.responseType = 'blob'
  }
  return axios.request(data)
}
// 产品导入数据
export const storeCallOutDetailImport = params => {
  return axios({
    url: '/storeCallOut/detail/import',
    data: params,
    method: 'post'
  })
}
// 产品信息批量导入
export const storeCallOutDetailBatchSave = (params) => {
  return axios({
    url: '/storeCallOut/detail/saveBatch',
    data: params,
    method: 'post',
    headers: {
      'module': encodeURIComponent('导入产品')
    }
  })
}
// 导出错误项
export const storeCallOutDetailImportError = (params) => {
  return axios({
    url: '/storeCallOut/detail/exportImportError',
    data: params,
    method: 'post',
    responseType: 'blob',
    headers: {
      'module': encodeURIComponent('导出错误项')
    }
  })
}